Add ability to edit default values for volumes and nics  for compute resource and compute profile

08/02/2016 05:01 AM - Ivan Necas

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1339172 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1339172

Description of problem:

Impossible to change default value 'thin' for new volumes in Vmware compute profile

How reproducible:

Always

Steps to Reproduce:

1. Check that 'thin' value is set to false for new_volumes section:

$ curl -s -X GET -H "Authorization: Basic xxxxxxxxxxxxxx" -H "Accept:application/json" -H "Content

-Type: application/json" https://foreman.example.com.com/api/v2/compute_profiles/4|python -mjson.t

ool

{

    "compute_attributes": [

        {

            "id": 1,

# ...

            "vm_attrs": {

                "volumes_attributes": {

                    "0": {

                        "_delete": "",

                        "datastore": "my-store-1",

                        "eager_zero": "false",

                        "name": "Hard disk",

                        "size_gb": "50",

                        "thin": "false" 

                    },

                    "new_volumes": {

                        "_delete": "",

                        "datastore": "my-store-1",

                        "eager_zero": "false",

                        "name": "Hard disk",

                        "size_gb": "10",

                        "thin": "true"  <----------

                    }

                }

            }

        }

    ],

2. Update 'thin' field:

curl -s -X PUT -H "Authorization: Basic xxxxxxxxxxxxxxx" -H "Accept:application/json" -H "Content-

Type: application/json" https://foreman.example.com/api/v2/compute_resources/1 -d '{"compute_attri
butes":[{"id":1,"name":"1CPUsand2048MBmemory","compute_resource_id":1,"compute_resource_name":"my-

resource","compute_profile_id":4,"compute_profile_name":"my-profile","vm_attrs":{"volumes_attribut

es":{"new_volumes":{"datastore":"my-store-1","name":"Harddisk","size_gb":"30",

"thin":"false",  <-----

"eager_zero":"false","_delete":""}}}}]}'

Actual results:

"thin" is still "true" 

Expected results:

"thin" should be changed to "false"

History

#1 - 08/02/2016 05:02 AM - Ivan Necas

- Subject changed from Impossible to change default value 'thin' for new volumes in Vmware compute profile

 to Impossible to change default value 'thin' for new volumes in Vmware compute profile

- Target version set to 1.7.0

#2 - 08/02/2016 05:02 AM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

#3 - 08/16/2016 05:56 AM - Ivan Necas

- Target version changed from 1.7.0 to 1.6.1

#4 - 08/29/2016 08:20 AM - Ivan Necas

- Status changed from Assigned to New

#5 - 08/31/2016 06:03 AM - Shimon Shtein

- Assignee changed from Ivan Necas to Shimon Shtein

#6 - 09/08/2016 07:43 AM - Ivan Necas

- Target version changed from 1.6.1 to 127

#7 - 09/27/2016 09:06 AM - Ivan Necas

- Target version changed from 127 to 1.5.1

#8 - 10/24/2016 02:12 PM - Ivan Necas

- Target version changed from 1.5.1 to 1.4.1

#9 - 11/10/2016 04:21 AM - Ivan Necas

- Target version changed from 1.4.1 to 113

Waiting for prioritization response on BZ

#10 - 11/10/2016 04:24 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

- Status changed from New to Assigned

#11 - 11/10/2016 04:29 AM - Ivan Necas

- Status changed from Assigned to New

- Target version deleted (113)

#12 - 11/15/2016 12:09 PM - Shimon Shtein

- Tracker changed from Bug to Feature

- Subject changed from Impossible to change default value 'thin' for new volumes in Vmware compute profile to Add ability to edit volumes and nics
template for compute resource

- Category changed from Compute resources - VMware to Compute resources

- Difficulty set to medium

Right now we are generating a hidden html template from static default data, that gets cloned each time we press the "add volume/nic" button.

I suggest exposing this template, so the user could update it. This way the template that will be copied will be generated using default previously set

by the user.

#13 - 03/01/2017 04:51 AM - Tomáš Strachota

- Subject changed from Add ability to edit volumes and nics template for compute resource to Add ability to edit default values for volumes and nics 

for compute resource and compute profile

- Assignee deleted (Shimon Shtein)

- Target version set to 115

Exposing the template for modifications brings high risk of users breaking the template (and rest of the UI) by either typo or misconfiguration. Rather

than that I'd suggest to change the template to use default data from serialized json saved in our db for each compute resource. This default values

would be editable via simple UI that can reuse the templates. It would be good to allow for defining default values for all compute fields, not only

volumes and nics.

BTW the "new_volumes" node that we save in compute attributes isn't used anywhere and should be removed. It comes from the aforementioned

hidden template. The only reason it gets saved is that we don't filter incoming data from the form.

I removed Shim from "assigned to" since the feature isn't under active development. Feel free to assign it back if you work on it.
